Calculates the intersection of a plane and a sphere.
Rhino.PlaneSphereIntersection (arrPlane, arrSpherePlane, dblSphereRadius)
arrPlane |
Required. Array. The plane to intersect. |
arrSpherePlane |
Required. Array. An equatorial plane of the sphere. The origin of the plane will be the center point of the sphere. |
dblSphereRadius |
Required. Number. The radius of the sphere. |
Array |
An array of intersection results, if successful. The results are as follows:
|
||||||||||||
Null |
If not successful, or on error. |
Dim arrLine, arrPlane, dblHeight, dblRadius
Dim arrResults, i
arrPlane = Rhino.WorldXYPlane
dblRadius = 10
arrResults = Rhino.PlaneSphereIntersection(arrPlane, arrPlane, dblRadius)
If IsArray(arrResults) Then
If arrResults(0) = 0 Then
Rhino.AddPoint arrResults(1)
Else
Rhino.AddCircle arrResults(1), arrResults(2)
End If
End If